> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy app from GitHub repository



## OpenAPI

````yaml /openapi.json post /api/apps/deploy-from-repo
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/deploy-from-repo:
    post:
      tags:
        - Applications
      summary: Deploy app from GitHub repository
      operationId: postApiAppsDeploy-from-repo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - runtime
                - memoryMB
                - repository
              properties:
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                startupCommand:
                  minLength: 1
                  type: string
                envVars:
                  type: object
                  additionalProperties: true
                exposePort:
                  anyOf:
                    - type: number
                    - type: string
                subdomain:
                  type: string
                autoRestart:
                  type: boolean
                autoDeploy:
                  type: boolean
                machineId:
                  nullable: true
                  type: string
                repository:
                  type: object
                  required:
                    - id
                    - owner
                    - name
                    - branch
                  properties:
                    id:
                      anyOf:
                        - type: string
                        - type: number
                    owner:
                      minLength: 1
                      type: string
                    name:
                      minLength: 1
                      type: string
                    branch:
                      minLength: 1
                      type: string
                    path:
                      type: string
                    githubInstallationId:
                      type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - name
                - runtime
                - memoryMB
                - repository
              properties:
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                startupCommand:
                  minLength: 1
                  type: string
                envVars:
                  type: object
                  additionalProperties: true
                exposePort:
                  anyOf:
                    - type: number
                    - type: string
                subdomain:
                  type: string
                autoRestart:
                  type: boolean
                autoDeploy:
                  type: boolean
                machineId:
                  nullable: true
                  type: string
                repository:
                  type: object
                  required:
                    - id
                    - owner
                    - name
                    - branch
                  properties:
                    id:
                      anyOf:
                        - type: string
                        - type: number
                    owner:
                      minLength: 1
                      type: string
                    name:
                      minLength: 1
                      type: string
                    branch:
                      minLength: 1
                      type: string
                    path:
                      type: string
                    githubInstallationId:
                      type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - name
                - runtime
                - memoryMB
                - repository
              properties:
                name:
                  minLength: 1
                  type: string
                runtime:
                  type: string
                  enum:
                    - node
                    - bun
                    - python
                memoryMB:
                  anyOf:
                    - type: number
                    - type: string
                startupCommand:
                  minLength: 1
                  type: string
                envVars:
                  type: object
                  additionalProperties: true
                exposePort:
                  anyOf:
                    - type: number
                    - type: string
                subdomain:
                  type: string
                autoRestart:
                  type: boolean
                autoDeploy:
                  type: boolean
                machineId:
                  nullable: true
                  type: string
                repository:
                  type: object
                  required:
                    - id
                    - owner
                    - name
                    - branch
                  properties:
                    id:
                      anyOf:
                        - type: string
                        - type: number
                    owner:
                      minLength: 1
                      type: string
                    name:
                      minLength: 1
                      type: string
                    branch:
                      minLength: 1
                      type: string
                    path:
                      type: string
                    githubInstallationId:
                      type: string
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````